From 894c8bf2a3fca8cdd1de92e2730e2418b6f6d965 Mon Sep 17 00:00:00 2001
From: Lukas Rusak <lorusak@gmail.com>
Date: Tue, 27 Jun 2023 11:24:34 -0700
Subject: [PATCH] CLog: add formatter for std::atomic for explicit atomic
 conversion when using libfmt>=10

Signed-off-by: Lukas Rusak <lorusak@gmail.com>
---
 xbmc/utils/log.h | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/xbmc/utils/log.h b/xbmc/utils/log.h
index adf46905a86c6..1c42c888cb655 100644
--- a/xbmc/utils/log.h
+++ b/xbmc/utils/log.h
@@ -48,6 +48,14 @@ class dist_sink;
 
 #if FMT_VERSION >= 100000
 using fmt::enums::format_as;
+
+namespace fmt
+{
+template<typename T, typename Char>
+struct formatter<std::atomic<T>, Char> : formatter<T, Char>
+{
+};
+} // namespace fmt
 #endif
 
 class CLog : public ISettingsHandler, public ISettingCallback
